#include "introdialog.h"

#include <QGridLayout>
#include <QComboBox>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>

IntroDialog::IntroDialog( QWidget* parent )
    : QDialog( parent ) {

    QGridLayout* l = new QGridLayout;

    QLabel* localeLbl = new QLabel( trUtf8( "Choose locale:" ) );
    localeLbl->setAlignment( Qt::AlignRight );
    l->addWidget( localeLbl, 0, 0 );
    m_localeCmb = new QComboBox;
    m_localeCmb->addItems( QStringList() << "en_US" << "ru_RU" );
    int index = m_localeCmb->findText( QLocale::system().name() );
    if( index != -1 ) {
        m_localeCmb->setCurrentIndex( index );
    }
    l->addWidget( m_localeCmb, 0, 1 );

    l->addWidget( new QLabel( trUtf8( "Enter your name:" ) ), 1, 0 );
    m_nameEdit = new QLineEdit;
    l->addWidget( m_nameEdit, 1, 1 );

    QPushButton* okBtn = new QPushButton( "OK" );
    connect( okBtn, SIGNAL( clicked( bool ) ), SLOT( accept() ) );
    l->addWidget( okBtn, 2, 1 );

    setLayout( l );
}

IntroDialog::~IntroDialog() {
}

QString IntroDialog::getLocale() const {
    return m_localeCmb->currentText();
}

QString IntroDialog::getName() const {
    return m_nameEdit->text();
}
