#include "introdialog.h"
#include <QApplication>

#include <QTranslator>
#include <QLocale>
#include <QLabel>
#include <QDebug>

static const QString SYSTEM_LOCALE = QLocale::system().name();

QString generateTrFileName( const QString& locale ) {
    return QString( "i18ndemo_%1" ).arg( locale );
}

int main( int argc, char* argv[] ) {
    QApplication a( argc, argv );

    QTranslator translator;
    if( translator.load( generateTrFileName( SYSTEM_LOCALE ) ), "." ) {
        a.installTranslator( &translator );
    }

    IntroDialog w;
    if( w.exec() != QDialog::Accepted ) {
        return 0;
    }

    translator.load( generateTrFileName( w.getLocale() ), "." );

    QLabel lbl( QObject::trUtf8( "Hello, <strong>%1</strong>!" ).arg( w.getName() ) );
    lbl.setAlignment( Qt::AlignHCenter | Qt::AlignVCenter );
    lbl.resize( 400, 400 );
    lbl.show();

    return a.exec();
}
